### Property

# WebKit2 Settings:hardware-acceleration-policy

since: 2.16

#### Declaration

    property hardware-acceleration-policy: WebKit2.HardwareAccelerationPolicy [ read, write, construct ]

#### Description [src]

The `WebKitHardwareAccelerationPolicy` to decide how to enable and disable hardware acceleration. Disabling hardware acceleration might cause some websites to not render correctly or consume more CPU.

Note that changing this setting might not be possible if hardware acceleration is not supported by the hardware or the system. In that case, you can get the value to know the actual policy being used, but changing the setting will not have any effect.

Type: | `WebKitHardwareAccelerationPolicy`
Available since: | 2.16

Setter method | `webkit_settings_set_hardware_acceleration_policy()`
Getter method | `webkit_settings_get_hardware_acceleration_policy()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no